## com.google.gwt.dom.client
Class ButtonElement

    java.lang.Object
      com.google.gwt.core.client.JavaScriptObject
          com.google.gwt.dom.client.Node
              com.google.gwt.dom.client.Element
                  com.google.gwt.dom.client.ButtonElement

    public class ButtonElement

extends Element

Push button.

See Also:
  W3C HTML Specification

Field Summary

Fields inherited from class com.google.gwt.dom.client.Node
`DOCUMENT_NODE, ELEMENT_NODE, TEXT_NODE`

Constructor Summary
`protected` `ButtonElement()`

Method Summary
`static ButtonElement` `as(Element elem)` Assert that the given `Element` is compatible with this class and automatically typecast it.
`void` `click()` Simulate a mouse-click.
`java.lang.String` `getAccessKey()` A single character access key to give access to the form control.
`java.lang.String` `getDisabled()` The control is unavailable in this context.
`FormElement` `getForm()` Returns the FORM element containing this control.
`java.lang.String` `getName()` Form control or object name when submitted with a form.
`int` `getTabIndex()` Index that represents the element's position in the tabbing order.
`java.lang.String` `getType()` The type of button (all lower case).
`java.lang.String` `getValue()` The current form control value.
`void` `setAccessKey(java.lang.String accessKey)` A single character access key to give access to the form control.
`void` `setDisabled(java.lang.String disabled)` The control is unavailable in this context.
`void` `setName(java.lang.String name)` Form control or object name when submitted with a form.
`void` `setTabIndex(int tabIndex)` Index that represents the element's position in the tabbing order.
`void` `setValue(java.lang.String value)` The current form control value.

Methods inherited from class com.google.gwt.dom.client.Element

`as, getAbsoluteLeft, getAbsoluteTop, getAttribute, getClassName, getDir, getElementsByTagName, getFirstChildElement, getId, getInnerHTML, getInnerText, getLang, getNextSiblingElement, getOffsetHeight, getOffsetLeft, getOffsetParent, getOffsetTop, getOffsetWidth, getParentElement, getPropertyBoolean, getPropertyDouble, getPropertyInt, getPropertyString, getScrollHeight, getScrollLeft, getScrollTop, getScrollWidth, getString, getStyle, getTagName, getTitle, isOrHasChild, removeAttribute, scrollIntoView, setAttribute, setClassName, setDir, setId, setInnerHTML, setInnerText, setLang, setPropertyBoolean, setPropertyDouble, setPropertyInt, setPropertyString, setScrollLeft, setScrollTop, setTitle`

Methods inherited from class com.google.gwt.dom.client.Node
`appendChild, cloneNode, getChildNodes, getFirstChild, getLastChild, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPreviousSibling, hasChildNodes, insertBefore, removeChild, replaceChild, setNodeValue`

Methods inherited from class com.google.gwt.core.client.JavaScriptObject
`cast, createArray, createFunction, createObject, equals, hashCode, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ButtonElement

    protected ButtonElement()

Method Detail

### as

    public static ButtonElement as(Element elem)

  Assert that the given `Element` is compatible with this class and automatically typecast it.

### click

    public final void click()

  Simulate a mouse-click.

### getAccessKey

    public final java.lang.String getAccessKey()

  A single character access key to give access to the form control.

  See Also:
    W3C HTML Specification

### getDisabled

    public final java.lang.String getDisabled()

  The control is unavailable in this context.

  See Also:
    W3C HTML Specification

### getForm

    public final FormElement getForm()

  Returns the FORM element containing this control. Returns null if this control is not within the context of a form.

### getName

    public final java.lang.String getName()

  Form control or object name when submitted with a form.

  See Also:
    W3C HTML Specification

### getTabIndex

    public final int getTabIndex()

  Index that represents the element's position in the tabbing order.

  See Also:
    W3C HTML Specification

### getType

    public final java.lang.String getType()

  The type of button (all lower case).

  See Also:
    W3C HTML Specification

### getValue

    public final java.lang.String getValue()

  The current form control value.

  See Also:
    W3C HTML Specification

### setAccessKey

    public final void setAccessKey(java.lang.String accessKey)

  A single character access key to give access to the form control.

  See Also:
    W3C HTML Specification

### setDisabled

    public final void setDisabled(java.lang.String disabled)

  The control is unavailable in this context.

  See Also:
    W3C HTML Specification

### setName

    public final void setName(java.lang.String name)

  Form control or object name when submitted with a form.

  See Also:
    W3C HTML Specification

### setTabIndex

    public final void setTabIndex(int tabIndex)

  Index that represents the element's position in the tabbing order.

  See Also:
    W3C HTML Specification

### setValue

    public final void setValue(java.lang.String value)

  The current form control value.

  See Also:
    W3C HTML Specification